Bug 222507 - xmms does not notice if screen size is smaller than the window position specified in config
xmms does not notice if screen size is smaller than the window position speci...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 19:29 EST by Sami Farin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 18:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reposition xmms (so that it is always visible) if screen size shrinks (735 bytes, patch)
2007-01-12 19:29 EST, Sami Farin
no flags Details | Diff

  None (edit)
Description Sami Farin 2007-01-12 19:29:53 EST
Description of problem:
If you change Xorg screen size to smaller and start xmms, 
xmms and equalizer/playlist may be positioned outside the viewable screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start xmms when Xorg in 1920x1080 mode
2. put xmms into bottom-right position and quit it
3. restart xmms when Xorg in 640x480 mode
  
Actual results:
xmms is not accessible

Expected results:
having access to xmms

Additional info:
no idea about how patch works with xinerama etc.
Comment 1 Sami Farin 2007-01-12 19:29:53 EST
Created attachment 145504 [details]
reposition xmms (so that it is always visible) if screen size shrinks
Comment 2 Paul F. Johnson 2007-01-12 19:39:25 EST
Hmm, doesn't seem to be happening under rawhide. I'll apply your patch and see
what happens. Thanks
Comment 3 Sami Farin 2007-01-12 19:49:11 EST
What doesn't seem to be happening?

1) quit xmms
2) edit ~/.xmms/config --> change player_x=6666
3) start xmms

Note You need to log in before you can comment on or make changes to this bug.